<template>
  <button
    type="submit"
    class="flex justify-around max-w-3xl px-3 py-2 m-1 text-sm subpixel-antialiased font-semibold tracking-wide text-white capitalize bg-green-500 rounded-md focus:outline-none focus:ring-green-500 focus:ring focus:ring-opacity-50"
    :class="loading && `bg-opacity-75 cursor-wait`"
    :disabled="loading"
    @click.prevent="clickAction()"
  >
    <slot name="icon"></slot>
    <slot v-if="loading" name="icon-loading"></slot>
    <slot name="name"></slot>
  </button>
</template>
<script lang="ts">
import { Component, Emit, Prop, Vue } from 'nuxt-property-decorator'

@Component({})
export default class SubmitButton extends Vue {
  @Prop() loading: boolean = false

  @Emit('click')
  clickAction() {}
}
</script>
